Get all cases
curl --request GET \
--url https://api-stage.karmacheck.io/case/list/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.karmacheck.io/case/list/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.karmacheck.io/case/list/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-stage.karmacheck.io/case/list/all",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-stage.karmacheck.io/case/list/all"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-stage.karmacheck.io/case/list/all")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-stage.karmacheck.io/case/list/all")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cases": [
{
"id": "f252d717-9bc8-4d21-85b4-5fd29645226a",
"crStamp": "2024-04-05T19:21:27.000+00:00",
"crUserId": "fed29350-84f3-4d35-9df1-9a73f14d9d17",
"caseTypeId": "cde61186-4f22-45f4-9e19-429061365bce",
"caseType": "Background Check",
"caseStatusId": "47463524-937e-46b1-8799-873f63e7b402",
"caseStatus": "Adjudicated",
"resultType": "Placed",
"modStamp": "2024-04-06T00:03:15.000+00:00",
"candidateId": "283de3e9-f12e-2184-9ac4-6e783e85b0de",
"candidateEmail": "charlie@example.com",
"candidateGivenName": "Charlie",
"candidateFamilyName": "Williams",
"packageName": "Basic Check",
"packageId": "f23fdee1-2ea5-23fc-9832-293a5d23a08b",
"billingReferenceId": "d64fddc1-1fa5-23fc-9832-231a5d23a08b",
"groupProfileId": "de0546f4-ad22-4c76-db12-06ae7e372fd2",
"groupName": "Default",
"resultTypeId": "bbbd9fa2-598f-43f6-8363-b8b55e7aa777",
"caseInvitationId": "23cbf4ea-a174-47b0-9bc8-1273619a121b",
"invitationGivenName": "Charlie",
"invitationFamilyName": "Williams",
"invitationStatusId": "d1962405-dd97-48f2-bede-530c2895481f",
"invitationStatusName": "completed",
"companyId": "ded9edfd-292b-19f8-bdd4-f9bb001eba2c",
"companyName": "Example Company",
"serviceGroupId": "b2322ef5-72d7-4f28-9973-858464f01141",
"invitationEmail": "charlie@example.com",
"isMinorCandidate": 0,
"hasParentalConsent": 0,
"isCustomerProvidedPii": 1,
"archived": 0,
"orderedStamp": "2024-04-05T19:21:27.000+00:00",
"completedOnboardingStamp": "2024-04-05T19:21:27.000+00:00",
"beginProcessingStamp": "2024-04-05T19:21:29.000+00:00",
"completedInitialProcessingStamp": "2024-04-06T00:02:29.000+00:00",
"completedLatestProcessingStamp": "2024-04-06T00:02:29.000+00:00",
"companyReadableName": "Example Company"
}
]
}Cases
Get all cases
Retrieves all cases (both active and archived) for the groupProfileId on the token used. The response includes summary-level information with IDs for accessing details using other endpoints.
The cases are listed in descending order by crStamp. If any crStamp values are identical, the cases are then sorted by caseStatusId, followed by caseSecondaryStatusId.
GET
/
case
/
list
/
all
Get all cases
curl --request GET \
--url https://api-stage.karmacheck.io/case/list/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.karmacheck.io/case/list/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.karmacheck.io/case/list/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-stage.karmacheck.io/case/list/all",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-stage.karmacheck.io/case/list/all"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-stage.karmacheck.io/case/list/all")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-stage.karmacheck.io/case/list/all")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cases": [
{
"id": "f252d717-9bc8-4d21-85b4-5fd29645226a",
"crStamp": "2024-04-05T19:21:27.000+00:00",
"crUserId": "fed29350-84f3-4d35-9df1-9a73f14d9d17",
"caseTypeId": "cde61186-4f22-45f4-9e19-429061365bce",
"caseType": "Background Check",
"caseStatusId": "47463524-937e-46b1-8799-873f63e7b402",
"caseStatus": "Adjudicated",
"resultType": "Placed",
"modStamp": "2024-04-06T00:03:15.000+00:00",
"candidateId": "283de3e9-f12e-2184-9ac4-6e783e85b0de",
"candidateEmail": "charlie@example.com",
"candidateGivenName": "Charlie",
"candidateFamilyName": "Williams",
"packageName": "Basic Check",
"packageId": "f23fdee1-2ea5-23fc-9832-293a5d23a08b",
"billingReferenceId": "d64fddc1-1fa5-23fc-9832-231a5d23a08b",
"groupProfileId": "de0546f4-ad22-4c76-db12-06ae7e372fd2",
"groupName": "Default",
"resultTypeId": "bbbd9fa2-598f-43f6-8363-b8b55e7aa777",
"caseInvitationId": "23cbf4ea-a174-47b0-9bc8-1273619a121b",
"invitationGivenName": "Charlie",
"invitationFamilyName": "Williams",
"invitationStatusId": "d1962405-dd97-48f2-bede-530c2895481f",
"invitationStatusName": "completed",
"companyId": "ded9edfd-292b-19f8-bdd4-f9bb001eba2c",
"companyName": "Example Company",
"serviceGroupId": "b2322ef5-72d7-4f28-9973-858464f01141",
"invitationEmail": "charlie@example.com",
"isMinorCandidate": 0,
"hasParentalConsent": 0,
"isCustomerProvidedPii": 1,
"archived": 0,
"orderedStamp": "2024-04-05T19:21:27.000+00:00",
"completedOnboardingStamp": "2024-04-05T19:21:27.000+00:00",
"beginProcessingStamp": "2024-04-05T19:21:29.000+00:00",
"completedInitialProcessingStamp": "2024-04-06T00:02:29.000+00:00",
"completedLatestProcessingStamp": "2024-04-06T00:02:29.000+00:00",
"companyReadableName": "Example Company"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
If included, filters the cases to only those ordered by the specified user.
If included, filters the cases to only those ordered with the specified package.
Response
OK
Show child attributes
Show child attributes